org.eclipse.incquery.viewmodel.traceablilty.generic

## Class GenericTracedQuerySpecification

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BaseQuerySpecification<Matcher>
  - - org.eclipse.incquery.runtime.api.GenericQuerySpecification<GenericPatternMatcher>
    - - org.eclipse.incquery.viewmodel.traceablilty.generic.GenericTracedQuerySpecification

- Type Parameters:
    `Matcher` -
  All Implemented Interfaces:
    IQuerySpecification<GenericPatternMatcher>, PQueryHeader

      public class GenericTracedQuerySpecification
      extends GenericQuerySpecification<GenericPatternMatcher>

  Abstract IQuerySpecification implementation for resolving traced objects defined in annotations.
  Author:
    Csaba Debreceni

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends IncQueryScope>` | `getPreferredScopeClass()` The query is formulated over this kind of modeling platform.
    `GenericReferencedQuerySpecification` | `getReferencedSpecification()`
    `java.util.Set<PParameter>` | `getReferenceParameters()`
    `com.google.common.collect.Multimap<PParameter,PParameter>` | `getReferenceSources()`
    `static GenericTracedQuerySpecification` | `initiate(GenericReferencedQuerySpecification referenced)`

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.GenericQuerySpecification

      `newEmptyMatch, newMatch`

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseQuerySpecification

      `getAllAnnotations, getAnnotationsByName, getFirstAnnotationByName, getFullyQualifiedName, getInternalQueryRepresentation, getMatcher, getMatcher, getParameterNames, getParameters, getPositionOfParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initiate

          public static GenericTracedQuerySpecification initiate(GenericReferencedQuerySpecification referenced)
                                                          throws QueryInitializationException

      Throws:
        `QueryInitializationException`

    - #### getPreferredScopeClass

          public java.lang.Class<? extends IncQueryScope> getPreferredScopeClass()

      Description copied from interface: `IQuerySpecification`
      The query is formulated over this kind of modeling platform. E.g. for queries over EMF models, the `EMFScope` class is returned.

    - #### getReferenceSources

          public com.google.common.collect.Multimap<PParameter,PParameter> getReferenceSources()

    - #### getReferenceParameters

          public final java.util.Set<PParameter> getReferenceParameters()

    - #### getReferencedSpecification

          public GenericReferencedQuerySpecification getReferencedSpecification()